Subject: [PATCH 7/7] arm: perf: factor arm_pmu core out to drivers

From: [email-masked] (Will Deacon)
Date: Thu, 28 May 2015 16:47:10 +0100

On Tue, May 26, 2015 at 05:23:40PM +0100, Mark Rutland wrote:
> To enable sharing of the arm_pmu code with arm64, this patch factors it
> out to drivers/perf/. A new drivers/perf directory is added for
> performance monitor drivers to live under.
> 
> Signed-off-by: Mark Rutland <[email-masked]>
> Cc: Arnaldo Carvalho de Melo <[email-masked]>
> Cc: Greg Kroah-Hartman <[email-masked]>
> Cc: Ingo Molnar <[email-masked]>
> Cc: Linus Walleij <[email-masked]>
> Cc: Paul Mackerras <[email-masked]>
> Cc: Peter Zijlstra <[email-masked]>
> Cc: Russell King <[email-masked]>
> Cc: Will Deacon <[email-masked]>
> ---
>  arch/arm/Kconfig                                           |  8 ++------
>  arch/arm/kernel/Makefile                                   |  3 +--
>  arch/arm/kernel/perf_event_v6.c                            |  2 +-
>  arch/arm/kernel/perf_event_v7.c                            |  2 +-
>  arch/arm/kernel/perf_event_xscale.c                        |  2 +-
>  arch/arm/mach-ux500/cpu-db8500.c                           |  2 +-
>  drivers/Kconfig                                            |  2 ++
>  drivers/Makefile                                           |  1 +
>  drivers/perf/Kconfig                                       | 14 ++++++++++++++
>  drivers/perf/Makefile                                      |  1 +
>  arch/arm/kernel/perf_event.c => drivers/perf/arm_pmu.c     |  2 +-
>  arch/arm/include/asm/pmu.h => include/linux/perf/arm_pmu.h |  4 ++--

Can you also update MAINTAINERS ("ARM PMU PROFILING AND DEBUGGING") to
reflect the effective file moves, please? I'm also more than happy for
you to add yourself as a reviewer ("R:") entry, if you feel that way
inclined.

Will